{% set PageTitle = "Refer a Friend" %}

{% extends "master.html" %}

{% block extraHead %}
  <script src="//cdn.co-buying.com/embedding.min.js"></script>
  <meta property="og:url" content="https://lv.co-buying.com/iaf/lv_raf1/og" />
{% endblock %}

{% block main %}
<div id='form' class='theme-warm-grey' style='min-height:550px'>
  <div id='raf1'></div>
</div>
<div id='process'></div>
<div id='reviews'></div>
<div id='terms'></div>
{% endblock %}

{% block styles %}
{% endblock %}
{% block scripts %}
  <script src="//cdn.co-buying.com/embedding.min.js"></script>


  <script>
  window.addEventListener('load', function(){

    ReactDOM.render(React.createElement(Components.BuyapowaModule, {
      id: 'raf1',
      subdomain: 'lv',
      slug: 'lv_raf1'
    }), document.getElementById('form'));

    ReactDOM.render(React.createElement(Components.Cover, {
      id : 'module-Cover-0',
      theme:{
        themeName:'clover',
        themeBefore: 'warm-grey',
        themeAfter: 'white',
        topCurve:{
          type:'convex'
        },
        bottomCurve:{
          type:'convex'
        }
      },
      intro: '* Valid for car insurance, home insurance, travel insurance (annual policy only), pet insurance and breakdown cover (excluding roadside assistance only cover) purchased online.',
      label:'Our process',
      headline:"How does the referral process work?",
      flourish: {
        html:'<img src="./dist/images/placeholder/keys-new.png" />',
        extension:'png'
      },
      items: [
        {
          icon: '<img src="dist/images/cms/icon-pound.png" />',
          copy: "<p><b>1. Sign up</b></p><p>Lorem ipsum dolor sit ametlabor</p>"
        },
        {
          icon: '<img src="dist/images/cms/icon-pound.png" />',
          copy: "<p><b>2. Send referral email</b></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit</p>"
        },
        {
          icon: '<img src="dist/images/cms/icon-pound.png" />',
          copy: "<p><b>3. Friend purchases</b></p><p>Lorem ipsum dolor sit amet, consectetur adipisicing</p>"
        },
        {
          icon: '<img src="dist/images/cms/icon-pound.png" />',
          copy: "<p><b>4. Emjoy your reward</b></p><p>Lorem ipsum dolor</p>"
        }
      ]
    }), document.getElementById("process"));

    ReactDOM.render(React.createElement(Components.HeaderCta, {
      id: 'module-reviews',
      heading: "We don't want to brag, but <b>99%</b> of our customers would buy from us again",
      label: 'Good value, great values',
      cta: {type:'primary', link:'<a href="#">Read more customer reviews</a>'},
      icon: "<img src='dist/images/cms/Heart-group-80x80.svg'/>",

    }), document.getElementById("reviews"));


    ReactDOM.render(React.createElement(Components.BodyCopy, {
        id :'item1',
        width:'mini',
        hasBackground: true,
        isProduct: true,
        theme: {
          themeName: 'cool-grey'
        },
        copy:`
            <h3>Terms and Conditions</h3>
            <p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>
        `
      }), document.getElementById("terms"));
    })
  </script>

{% endblock %}

{% block header %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
      theme: {
        themeAfter: 'warm-grey',
        themeName: 'warm-grey',
        textColour:'green'
      },
      desktopImage:{
        html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
        src:'dist/images/placeholder/bg__d_Investment.jpg',
        altText:'alt text goes here'
      },
      mobImage:{
        html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
        src:'dist/images/placeholder/bg__m_Travel.jpg',
        altText:'alt text goes here'
      },
      label:"Refer a Friend",
      headline:"£15 from the heart, when you share with a friend",
      isLeftAligned: true
    }), document.getElementById("HeaderBanner"));
  })
  </script>
{% endblock %}

{% block NavBreadcrumb %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.Breadcrumb, {
          items: [
              { label: "Home page",   url: "index.html" },
              { label: "Refer a friend",   url: "#" },
          ]
      }), document.getElementById("breadcrumb"));
    })
  </script>
{% endblock %}
